backward
direction
duration
during
forward
from
jump
onSeek
onSeek
onSeek
onStep
onStep
onStep
peek
peek
peek
point
progress
seek
seek
seek
step
step
step
to
tween
via
via

## step() [3/3]

const detail::tweentraits<T, Ts...>::valuesType& step | ( | float | dp,
|  | bool | suppressCallbacks = `false`
| ) |  |

Steps the animation by the designated percentage amount.

You can use this function to step the tweening by a specified percentage delta.

Example:

// tween duration is 100ms
auto tween = tweeny::from(0).to(100).during(100);
// steps for 16ms
tween.step(0.001f);

Parameters

  dp | Delta percentage, between `0.0f` and `1.0f`
  suppressCallbacks | (Optional) Suppress callbacks registered with tween::onStep()

Returns
  std::tuple<Ts...> with the current tween values.